Get a category
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/categories/{category_id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/categories/{category_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/categories/{category_id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"description": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"position": 123,
"portal_id": 123,
"account_id": 123,
"associated_category_id": 123,
"parent_category_id": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}Help Center
Get a category
Get a category in a help center portal.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
portals
/
{id}
/
categories
/
{category_id}
Get a category
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/categories/{category_id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/categories/{category_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/categories/{category_id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"description": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"position": 123,
"portal_id": 123,
"account_id": 123,
"associated_category_id": 123,
"parent_category_id": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The slug identifier of the portal
The numeric ID of the account
Response
Success
The text content.
To associate similar categories to each other, e.g same category of product documentation in different languages
To define parent category, e.g product documentation has multiple level features in sales category or in engineering category.